/*
******************************************************************************

   XMI implementation for X target - header.

   Copyright (C) 2000 Christoph Egger	[Christoph_Egger@t-online.de]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


******************************************************************************
*/

#include <X11/Xlib.h>
#include "xmi_int.h"
#include <ggi/internal/structs.h>


/* Function prototypes */
xmifunc_fillpolygon XMI_X_fillpolygon;
xmifunc_fillarcs XMI_X_fillarcs;


/* Structure holding private data. (ofcourse we don't need a private structure
   if it isn't used, this is just here to show how to implement one) */
struct xxmi_priv
{
	ggifunc_getapi	*getapi;
	ggifunc_setmode	*setmode;
	GC	newgc;
};

#define XXMI_PRIV(vis) ((struct xxmi_priv*) (LIBGGI_XMIEXT(vis)->priv))
